Поддержка Проблемы и решения Проблемы после обновления 5.5

  • После вашего крутого обновления:
    1. Перестал работать плагин: Yoast SEO и Rank Math SEO
    2. в новых записях вкладка «редактировать в elementor» тоже пропала
    3. при создании записи и ее редактировании при выборе любого блока сразу ошибка.
    4. Тема стоит последняя soledad Версия: 7.3.2
    5. Все плагины обновил.
    Ну и что дальше делать? Работал себе сайт нормально теперь геморой подкинули

Просмотр 15 ответов — с 16 по 30 (всего 48)
  • Модератор Yui

    (@fierevere)

    ゆい

    при переходе в настройки соответствующего плагина например
    для фронтенда — в консоли (вебразработчика) браузера.

    После обновления 5.5 перестал работать текстовый редактор и с меню проблемы не добавляются пункты меню. Вообще блин! Остальное не проверял.

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    обновление вызвало кучу проблем

    Чтобы избежать непредвиденных проблем, имеет смысл сделать тестовую копию сайта, все обновления проверять сначала на ней и заранее сообщать об ошибках — см. «Манифест о тестировании».

    Не беспокоиться ни о чём можно в идеальном мире, где не возникает никаких проблем 🙂 В реальном пользователям стоит самим проявлять иницативу, а не надеяться, что ограниченным количеством разработчиков будут учтены все нюансы всех возможных конфигураций с десятками тысяч плагинов и тем и многообразием серверных настроек.

    У меня те же проблемы после автоматического обновления. Кто знает, как вернуться на предыдущую версию?

    Модератор Yui

    (@fierevere)

    ゆい

    У меня те же проблемы после автоматического обновления

    правила форума #2

    как вернуться на предыдущую версию?

    В идеале — откатить бэкап.
    Не в идеале (без гарантий и с возможными проблемами) —
    https://ru.wordpress.org/plugins/wp-downgrade/

    Ок, спасибо. Подскажите плиз, где можно отключить автоматическое обновление?

    После установки плагина Enable jQuery Migrate Helper все вроде заработало.
    https://ru.wordpress.org/plugins/enable-jquery-migrate-helper/
    В админке предупреждений нет. Выше на форуме написано (Это временное решение, которое поможет вам ровно до того момента, пока плагины и темы не будут обновлены.
    В вашу консоль будут выводиться сообщения отладки, вы можете использовать их для поиска виновного старого плагина). Тогда в чем проблемы?
    Я думаю в обновлении. Косяк разработчиков.

    где можно отключить автоматическое обновление?

    Зачем? Автоматические обновления устанавливают только минорные (субверсии), в которых исправлены ошибки, в т.ч. безопасности. Мажорные обновление версии (скажем, 5.4 на 5.5) wordpress автоматически не делает, это может сделать только админ (прочитав про необходимость сделать бэкап и сделав то, что рекомендовано). Впрочем, может и хостер сделать «как лучше», я с таким сталкивался.

    Модератор Yui

    (@fierevere)

    ゆい

    Косяк разработчиков.

    с этого момента подробнее ?

    https://make.wordpress.org/core/2020/06/29/updating-jquery-version-shipped-with-wordpress/

    что, из написанного тут, вам не понятно?

    Или под «разработчиками» вы имеете ввиду разработчиков плагинов и тем, которые вовремя не почесались ?

    А в WordPress 5.6 поддержку PHP ниже 7.1 еще убрать планируют,
    вы тоже будете считать что это косяк разработчиков ?
    Любая система подвержена эволюции и не может стоять на месте вечно. Обновление jQuery ждет уже 4 года.

    • Ответ изменён 1 месяц, 1 неделя назад пользователем Yui.

    Так у меня все плагины в норме. Тогда почему не все срабатывет в WP 5.5. В 5.4 все было ОК и PHP стоит уже не 7.1.

    все плагины в норме.

    В смысле совместимы с 5.5? И тема совместима?

    Тогда почему не все срабатывет в WP 5.5.

    По той же причине, по которой шнурок от iPhone 4 не влазит в iPhone 5 — это другая версия.

    Привет!
    Так получается, что JQuery скоро вообще уберут из WP, так как если я правильно понял он устарел. А что будет вместо него? Кстати надо будет хостеру написать, чтобы поддержку php4 на сервере воткнул 🙂

    Так получается, что JQuery скоро вообще уберут из WP

    Не получается. 1.12 заменят на актуальную 3.*

    Читайте первоисточники
    https://make.wordpress.org/core/2020/06/29/updating-jquery-version-shipped-with-wordpress/

    Можно сделать откат на версию wp ранее, с помощью плагина wordpress downgrade, самое легкое решение…

    Модератор Yui

    (@fierevere)

    ゆい

    легкое, но не решение, а его откладывание на какой-то (пусть даже и длительный) срок

Просмотр 15 ответов — с 16 по 30 (всего 48)
  • Тема «Проблемы после обновления 5.5» закрыта для новых ответов.